Main Page | Class Hierarchy | Alphabetical List | Class List | File List | Class Members | Related Pages

# ipicture Class Reference

Implements COM's IPicture-Interface to load images (gif, jpeg, bmp). More...

List of all members.

## Public Member Functions
| ipicture (const ipicture &image)
IPicture * | raw_picture () const
const ipicture & | operator= (const ipicture &image)
bool | get_size (SIZE &size) const
bool | draw (HDC hDC, int x, int y, int cx, int cy, int xSrc, int ySrc, int cxSrc, int cySrc)
bool | draw (HDC hDC, int x, int y, int cx, int cy, int xSrc=0, int ySrc=0)
bool | draw (HDC hDC, int x, int y)
bool | draw (HDC hDC, POINT pt)
bool | draw_stretched (HDC hDC, const RECT &rc)
bool | loaded () const
bool | load_from_file (const std::string &fileName)
void | release ()

## Detailed Description

Implements COM's IPicture-Interface to load images (gif, jpeg, bmp).

## Member Function Documentation

bool draw | ( | HDC | hDC,
|  | POINT | pt
| ) |

| Draws the image and returns true if successfull.

bool draw | ( | HDC | hDC,
|  | int | x,
|  | int | y
| ) |

| Draws the image and returns true if successfull.

bool draw | ( | HDC | hDC,
|  | int | x,
|  | int | y,
|  | int | cx,
|  | int | cy,
|  | int | xSrc = `0`,
|  | int | ySrc = `0`
| ) |

| Draws the image and returns true if successfull.

bool draw | ( | HDC | hDC,
|  | int | x,
|  | int | y,
|  | int | cx,
|  | int | cy,
|  | int | xSrc,
|  | int | ySrc,
|  | int | cxSrc,
|  | int | cySrc
| ) |

| Draws the image and returns true if successfull.

bool draw_stretched | ( | HDC | hDC,
|  | const RECT & | rc
| ) |

| Draws the image stretched and returns true if successfull.

bool get_size | ( | SIZE & | size | ) | const

| Determines the size of the image . If the size was determined the function returns true and the size is stored in the passed argument size

bool load_from_file | ( | const std::string & | fileName | ) |

| Loads an image from a file and returns true if successfull.

bool loaded | ( |  | ) | const

| Returns true if an image was loaded.

IPicture * raw_picture | ( |  | ) | const

| Returns a pointer to the underlying IPicture.

void release | ( |  | ) |

| Releases the image.

| by Steven Weiss. You can contact me at steven11@gmx.de.